Bug 1446851 - Chromium high resolution touchpad scrolling broken under Xwayland
Summary: Chromium high resolution touchpad scrolling broken under Xwayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-29 18:57 UTC by Adam Goode
Modified: 2017-06-09 18:59 UTC (History)
2 users (show)

Fixed In Version: chromium-58.0.3029.110-2.fc25 chromium-58.0.3029.110-2.el7 chromium-58.0.3029.110-2.fc24 chromium-58.0.3029.110-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 00:40:52 UTC


Attachments (Terms of Use)

Description Adam Goode 2017-04-29 18:57:37 UTC
Description of problem:
Under XWayland, touchpad scrolling moves in discrete steps. This is covered in the upstream bug crbug.com/712737.

To summarize, X clients that use high resolution scrolling will lose the first discrete mouse wheel tick after focus is gained. This is a general problem of X, see https://bugzilla.gnome.org/show_bug.cgi?id=750994.

Chromium has a heuristic that tries to work around this, but on Fedora the heuristic doesn't work on X and breaks hi-res scrolling on XWayland.

Until a solution is found upstream, Fedora Chromium would benefit from a patch that reverts https://crrev.com/b794998819088f76b4cf44c8db6940240c563cf4


Version-Release number of selected component (if applicable):
chromium-57.0.2987.133-1.fc25.x86_64

How reproducible:
Always.


Steps to Reproduce:
1. Use libinput X input driver or Wayland.
2. Scroll with a touchpad.

Actual results:
Under X, the scrolling is high resolution but mouse wheel ticks are still lost. Under Wayland, high resolution scrolling doesn't work.

Expected results:
High resolution scrolling everywhere. (And maybe no lost mouse wheel ticks.)

Comment 1 Fedora Update System 2017-05-16 17:56:43 UTC
chromium-58.0.3029.110-2.fc25 chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc7ce3b314

Comment 2 Fedora Update System 2017-05-16 17:57:20 UTC
chromium-58.0.3029.110-2.fc24 chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d698eba8b

Comment 3 Fedora Update System 2017-05-16 17:57:59 UTC
chromium-58.0.3029.110-2.fc26 chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-811133dc2c

Comment 4 Fedora Update System 2017-05-16 17:58:39 UTC
chromium-58.0.3029.110-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-692b72b3c9

Comment 5 Fedora Update System 2017-05-17 19:08:03 UTC
chromium-58.0.3029.110-2.fc26, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-811133dc2c

Comment 6 Fedora Update System 2017-05-17 21:30:46 UTC
chromium-58.0.3029.110-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-692b72b3c9

Comment 7 Fedora Update System 2017-05-17 23:07:34 UTC
chromium-58.0.3029.110-2.fc24, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d698eba8b

Comment 8 Fedora Update System 2017-05-17 23:12:21 UTC
chromium-58.0.3029.110-2.fc25, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dc7ce3b314

Comment 9 Fedora Update System 2017-05-23 00:40:52 UTC
chromium-58.0.3029.110-2.fc25, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-02 19:18:18 UTC
chromium-58.0.3029.110-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-06-03 02:24:24 UTC
chromium-58.0.3029.110-2.fc24, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-06-09 18:59:48 UTC
chromium-58.0.3029.110-2.fc26, chromium-native_client-58.0.3029.81-1.20170421gitc948e9b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.